### Method

# Gio Task propagate_int

since: 2.36

#### Declaration

    gssize
    g_task_propagate_int (
      GTask* task
      GError** error
    )

#### Description

Gets the result of `task` as an integer (#gssize).

If the task resulted in an error, or was cancelled, then this will instead return -1 and set `error`.

Since this method transfers ownership of the return value (or error) to the caller, you may only call it once.

Available since: 2.36

#### Return value

Type: `gssize`

The task result, or -1 on error.